<script setup lang="ts">
import { onBeforeMount, onBeforeUnmount, onMounted } from "vue";
import { environment } from "@/environment";

onMounted(() => {
  if (environment.MATOMO_HOST) {
    const matomoScript = document.createElement("script");
    matomoScript.setAttribute(
      "src",
      `${environment.MATOMO_HOST}/index.php?module=CoreAdminHome&action=optOutJS&divId=matomo-opt-out&language=auto&showIntro=1`,
    );
    document.head.appendChild(matomoScript);
  }
});

onBeforeMount(() => {
  const linkTag = document.createElement("link");
  linkTag.setAttribute("rel", "canonical");
  linkTag.href = window.location.origin + window.location.pathname;
  document.head.appendChild(linkTag);
});

onBeforeUnmount(() => {
  document.head.querySelector("[rel=canonical]")?.remove();
});
</script>

<template>
  <div>
    <h2>Privacy Notice</h2>
    <h3>1. General information on data processing and data protection</h3>
    <p>
      The operators of this website take the protection of your personal data
      very seriously. This privacy policy informs you as a visitor to our
      website about the processing of personal data. We collect and use personal
      data of our users only insofar as this is necessary to provide a
      functional website and our content and services and a legal basis allows
      us to do so or you have consented to the collection and always treat it
      confidentially. With this privacy policy, we comply with the information
      obligation pursuant to Article 13 of the EU General Data Protection
      Regulation (EU GDPR).
    </p>
    <h3>2. Contact details of the responsible body</h3>
    <p>
      The technical provision (hosting) of the website is carried out in
      cooperation with Bielefeld University at Bielefeld University, and can be
      contacted as follows:
    </p>
    <p>
      Universität Bielefeld<br />
      Universitätsstraße 25<br />
      D-33615 Bielefeld<br />
      Tel.: <a href="tel:+4952110600">+49521/106-00</a><br />
      <a href="mailto:post@uni-bielefeld.de">post@uni-bielefeld.de</a>
    </p>
    <h3>3. Data protection officer</h3>
    <p>
      You can contact the data protection officer of Bielefeld University by
      post at the address of the controller given above or as follows:
    </p>
    <p>
      E-Mail:
      <a href="mailto:datenschutzbeauftragte@uni-bielefeld.de"
        >datenschutzbeauftragte@uni-bielefeld.de</a
      ><br />
      Tel.: <a href="tel:+495211065225">+49521 / 106 – 5225</a>
    </p>
    <h3>4. Purpose</h3>
    <p>
      The primary purpose of the Cloud based Workflow Manager (CloWM) is to
      offer data analysis workflows as services to the scientific community. If
      personal data is collected, this only includes the data required for
      technical operation and log files to ensure the technical security of the
      systems in accordance with Art. 6 para. 1 lit. f GDPR. The temporary
      storage of the IP address by the system is necessary to enable the website
      to be delivered to the user's computer. The data is stored in log files to
      ensure the functionality of the website. In addition, we use the data to
      optimize the website and to ensure the security of our information
      technology systems. The data is not analyzed for marketing purposes in
      this context.
    </p>
    <h3>5. Scope of data processing</h3>
    <h4>5.1 Storage of browser data</h4>
    <div class="py-1">
      As the provider of this website, we automatically collect and store
      information in so-called server log files that your browser automatically
      transmits to us each time you visit our website. The following data is
      collected:
      <ol>
        <li>Information about the browser type and version used</li>
        <li>The user's operating system</li>
        <li>The user's internet service provider</li>
        <li>The IP address of the user</li>
        <li>Date and time of access</li>
        <li>Websites from which the user's system accesses our website</li>
      </ol>
      The browser data is stored for a period of 14 days (log-rotation).
    </div>
    <h4>5.2 Use of cookies</h4>
    <p>
      Our website uses cookies. These are small files that your browser
      automatically creates and that are stored on your end device (laptop,
      tablet, smartphone, etc.) when you visit our website. Cookies do not cause
      any damage to your end device and do not contain any viruses, Trojans or
      other malware. We use cookies to make our website more user-friendly. The
      data collected by these cookies is not used to create user profiles.
    </p>
    <p>
      We use so-called session cookies to recognize that you have already
      visited individual pages of our website. These cookies contain a
      characteristic string of characters that enables the browser and the
      associated session settings to be uniquely identified when the website is
      called up again. They are automatically deleted after you leave our site
      or when you end your session.
    </p>
    <p>
      In addition, we use cross-site request forgery (CSRF) protection cookies
      to increase the security of our website, which are stored on your end
      device for a specified period of time.
    </p>
    <p>
      Cookies are stored on the user's computer and transmitted by it to our
      website. As a user, you therefore have full control over the use of
      cookies. You can deactivate or restrict the transmission of cookies by
      changing the settings in your Internet browser. Cookies that have already
      been saved can be deleted at any time. This can also be done
      automatically. If cookies are deactivated for our website, it may no
      longer be possible to use all functions of the website to their full
      extent.
    </p>
    <h4>5.3 Web analysis using Matomo</h4>
    <p>
      We use cookies to statistically record the use of our website and to
      evaluate it for the purpose of optimizing our offer for you. This
      subsection explains how we use the open source software Matomo for web
      analysis in order to collect anonymized usage statistics.
    </p>
    <h5>5.3.1 What data is collected</h5>
    <div class="py-1">
      When using Matomo, we collect the following anonymized data:
      <ul>
        <li>Your IP address (in anonymized form)</li>
        <li>The pages accessed and their sequence</li>
        <li>The time spent on the individual pages</li>
        <li>The browser type and version used</li>
        <li>The operating system</li>
        <li>The country of origin</li>
        <li>Date and time of access</li>
        <li>Referring pages from which you accessed our website (referrer)</li>
      </ul>
    </div>
    <h5>5.3.2 Anonymization of the data</h5>
    <p>
      Your IP address is immediately anonymized by Matomo so that no conclusions
      can be drawn about your person. This is done by shortening the IP address
      by the last two bytes (example: 192.168.100.123 becomes 192.168.0.0). As a
      result, all data collected remains completely anonymous and cannot be
      traced back to you.
    </p>
    <h5>5.3.3 Intended use of the data</h5>
    <p>
      We use Matomo exclusively to collect and analyze anonymized information
      about the use of our website in order to measure its reach. Our focus here
      is on statistically recording and continuously improving the use of our
      website. Furthermore, lists and summaries of usage statistics derived from
      this are reported to the Federal Ministry of Education and Research
      (BMBF), as the web content offered is a service provided as part of a
      BMBF-funded third-party project. The data is collected on the basis of
      Art. 6 para. 1 lit. f GDPR. In doing so, we are pursuing our legitimate
      interest in optimizing our website and reporting to funding bodies.
    </p>
    <h5>5.3.4 Storage and deletion of data</h5>
    <p>
      The Matomo instance we use is provided by the Center for Biotechnology -
      CeBiTec at Bielefeld University as a service within the framework of the
      de.NBI project. The collected and anonymized data are stored on CeBiTec's
      servers and are not passed on to third parties or merged with other data
      sources. They are only stored for as long as is necessary to achieve the
      above-mentioned purposes. The data will be deleted as soon as it is no
      longer required for the aforementioned purposes.
    </p>
    <h5>5.3.5 Matomo Cookies</h5>
    <p>
      Cookies are used to enable anonymous recognition of a user by the web
      analysis software Matomo. The "_pk_id" cookie contains an anonymous unique
      user ID with a validity of 13 months, the "_pk_ref" cookie contains the
      referrer originally used to visit the website with a lifespan of 6 months
      and the "_pk_ses" cookie, which is a short-lived cookie with a lifespan of
      30 minutes that temporarily stores the data of the website visit. Expiring
      cookies are then deleted by your browser. The validity is renewed when you
      visit the website again. Cross-site or cross-domain tracking does not take
      place; the cookies are used exclusively in the context of this website and
      to fulfill the above-mentioned purposes.
    </p>
    <h5>5.3.6 Your rights and option to object</h5>
    <p>
      As we do not collect any personal data using Matomo, you cannot assert any
      rights against us with regard to information, correction, blocking or
      deletion of this data. However, you have the option of objecting to the
      collection by Matomo at any time. To do this, you can set an opt-out
      cookie that prevents the future collection of your data on this website.
      Please note that the opt-out cookie will be deleted if you delete all
      cookies in your browser. In this case, you must set the opt-out cookie
      again. Furthermore, data will not be collected by Matomo if you use the
      browser in so-called anonymous mode.
    </p>
    <div id="matomo-opt-out" class="mb-2" />
    <h5>5.3.7 Contact for the technical provision of the Matomo service</h5>
    <p>
      Bioinformatics Resource Facility<br />
      Centrum für Biotechnologie (CeBiTec)<br />
      Universität Bielefeld<br />
      Universitätsstraße 25<br />
      33615 Bielefeld
    </p>
    <p>
      Represented by:<br />
      Group Leader: Dr. Stefan Albaum<br />
      Scientific director: Prof. Dr. Olaf Kruse<br />
      Management: Dr. Lutz Wobbe
    </p>
    <h3>6. Storage and deletion of data</h3>
    <p>
      Collected data is stored on the operator's servers and is not merged with
      other data sources or passed on to third parties. They are only stored for
      as long as is necessary to achieve the above-mentioned purposes. The data
      will be deleted as soon as it is no longer required for the stated
      purposes.
    </p>
    <p>
      In individual cases, data may be passed on on the basis of legal
      permission, for example, transmission to law enforcement authorities for
      the investigation of criminal offenses under the provisions of the Code of
      Criminal Procedure (StPO) or for the purpose of asserting claims for
      damages in the event of copyright infringements. If technical service
      providers are given access to personal data, this is done on the basis of
      a contract in accordance with Art. 28 GDPR.
    </p>
    <h3>7. Your privacy rights</h3>
    <div class="py-1">
      As a person, you can assert the rights granted to you by the EU GDPR at
      any time:
      <ul>
        <li>
          the right to information as to whether and which of your data is being
          processed (Art. 15 EU GDPR),
        </li>
        <li>
          the right to request the rectification or completion of data
          concerning you (Art. 16 EU GDPR),
        </li>
        <li>
          the right to erasure of the data concerning you in accordance with
          Art. 17 EU GDPR,
        </li>
        <li>
          the right to request the restriction of the processing of data in
          accordance with Art. 18 EU GDPR,
        </li>
        <li>
          the right to withdraw your consent at any time. This does not affect
          the lawfulness of the processing carried out on the basis of the
          consent until revocation (Art. 7 para. 3 EU GDPR),
        </li>
        <li>
          the right to object to the future processing of data concerning you in
          accordance with Art. 21 EU GDPR and
        </li>
        <li>
          the right to lodge a complaint with the data protection supervisory
          authority in accordance with Art. 77 EU GDPR.
        </li>
      </ul>
    </div>
    <h3>8. Validity of this privacy policy</h3>
    <p>This privacy policy is currently valid and is dated 18.07.2024.</p>
    <p>
      Unless specified in more detail or formulated differently in this privacy
      policy, the provisions of Bielefeld University's
      <a
        target="_blank"
        href="https://www.uni-bielefeld.de/datenschutzhinweise/"
        >privacy policy</a
      >
      apply.
    </p>
    <p>
      Due to the further development of our website or due to changed legal or
      official requirements, we reserve the right or it may become necessary to
      change this privacy policy.
    </p>
  </div>
</template>

<style scoped>
#trackVisits {
  margin-right: 0.5rem !important;
}
</style>
